Update Service Plan Visibility

Update Service Plan Visibility
Update a service plan visibility

This endpoint updates a service plan visibility. It behaves similar to the POST service plan visibility endpoint but this endpoint will replace the existing list of organizations when the service plan is organization visible.

Request
URI
PATCH
https://api.example.local/v3/service_plans/{guid}/visibility
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body

Service plan visibility object that needs to be updated

ServicePlanVisibilityUpdateRequestBody of type(s) application/json
Optional

Show optional properties

{
    "type": "string"
}
{
    "type": "string",
    "organizations": [
        {
            "guid": "string"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServicePlanVisibility of type(s) application/json
{
    "type": "string",
    "organizations": [
        {
            "guid": "string",
            "name": "string"
        }
    ]
}
string
type
Required

Type of visibility

Possible values are : public, admin, organization, space,
array of object
organizations
Optional

Organizations that have visibility to this service plan


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"type":"string"}'